org.bdgenomics.adam.util

# TwoBitFileSerializer

###
Related Doc: package util

#### class TwoBitFileSerializer extends Serializer[TwoBitFile]

Linear Supertypes
Serializer[TwoBitFile], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TwoBitFileSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TwoBitFileSerializer()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def copy(arg0: Kryo, arg1: TwoBitFile): TwoBitFile

   Definition Classes
     Serializer

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def getAcceptsNull(): Boolean

    Definition Classes
      Serializer

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def isImmutable(): Boolean

    Definition Classes
      Serializer

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def read(kryo: Kryo, input: Input, klazz: Class[TwoBitFile]): TwoBitFile

    Definition Classes
      TwoBitFileSerializer → Serializer

19. #### def setAcceptsNull(arg0: Boolean): Unit

    Definition Classes
      Serializer

20. #### def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit

    Definition Classes
      Serializer

21. #### def setImmutable(arg0: Boolean): Unit

    Definition Classes
      Serializer

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def write(kryo: Kryo, output: Output, obj: TwoBitFile): Unit

    Definition Classes
      TwoBitFileSerializer → Serializer

### Inherited from Serializer[TwoBitFile]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped